\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and Solvers

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
CGAL::Eigen_diagonalize_traits< FT, dim > Class Template Reference
CGAL and Solvers Reference

`#include <CGAL/Eigen_diagonalize_traits.h>`

## Definition

### template<typename FT, unsigned int dim = 3>
class CGAL::Eigen_diagonalize_traits< FT, dim >

The class `Eigen_diagonalize_traits` provides an interface to the diagonalization of covariance matrices of Eigen.

The version 3.1 (or greater) of Eigen must be available on the system.

Is Model Of:
  `DiagonalizeTraits`

See Also
  http://eigen.tuxfamily.org

Examples:
  Solver_interface/diagonalize_matrix.cpp.